Subject: bug#24711: 26.0.50; Error message when opening font selection dialog on macOS

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 16 Aug 2020 18:20:45 +0200

Philipp Stephani <[email-masked]> writes:

> After selecting "Option > Select Default Font..." on macOS Sierra, the
> following error message is printed on stderr:
>
> 2016-10-16 19:31:07.006754 Emacs[25238:14528037] NSToolbarItem (<NSToolbarItem: 0x102131540>) had to adjust the size of <NSPopUpButton: 0x10a767b40> from {40, 25} to the expected size of {42, 27}. Make sure that this toolbar item view has a valid frame/min/max size. This is an app bug, please do not file a bug against AppKit or NSToolbar! Break on _NSToolbarAdjustedBorderedControlSizeBreakpoint

I tried this with Emacs 28 in Catalina (Options -> Set Default
Font..."), and I didn't get any warnings on stderr, so I'm going to go
ahead and guess that this has been fixed in the years since this bug
report was opened and close the bug.

If this is still a problem, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no